// FileInfo
// Given a file or directory in the JFS filesystem, output the .jfs file
// entry for that file.
import java.io.*;

public class FileInfo
{
	public static void main(String argv[])
	{
	if (argv.length != 2)
		die("usage: java FileInfo <JFS root> <directory>|<file>");
	FileSystem.init(argv[0]);
	JFSserver.loadcache();

	JFSfile info = null;
	try { info = FileSystem.statfile(argv[1]); }
	catch(BadPathException e) {
		die("Error stating "+argv[1]+" : "+e.getMessage());
		}
	JFSdirectory tmp = new JFSdirectory();
	tmp.add(info);
	tmp.output(new LineOutputStream(System.out));
	}

	// die
	// Print a message and exit
	static void die(String msg)
	{
	System.err.println(msg);
	System.exit(1);
	}
}

